### Virtual Method

# Gtk.Buildable.custom_tag_start

#### Declaration [src]

    gboolean
    custom_tag_start (
      GtkBuildable* buildable,
      GtkBuilder* builder,
      GObject* child,
      const char* tagname,
      GtkBuildableParser* parser,
      gpointer* data
    )

#### Description [src]

Called for each unknown element under `<child>`.

#### Parameters

`builder` | `GtkBuilder`
| a `GtkBuilder` used to construct this object
| Ownership is not transferred to the callee
`child` | `GObject*`
| child object or `NULL` for non-child tags
| Can be `NULL`
| Ownership is not transferred to the callee
`tagname` | `const char*`
| name of tag
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`parser` | `GtkBuildableParser`
| a `GtkBuildableParser` to fill in
| Direction: out
| Ownership is not transferred to the callee
`data` | `gpointer*`
| return location for user data that will be passed in to parser functions
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if an object has a custom implementation, `FALSE` if it doesn’t.